Nearby - Points of Interest (PoI) (Public BETA)

The Nearby API returns Points of Interest (PoI) such as cafes, hospitals or even airports near a specified location.

Note: The Nearby API endpoint is presently in BETA. The request or response format may change without notice. While we don't expect to remove any elements, there will be additions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
float
required

Latitude of the location to generate an address for.

float
required

Longitude of the location to generate an address for.

string

You can use a tag to restrict your results on the Nearby API. We support two types of tags, a single-word format for common use-cases and key-value pairs for advanced use-cases.

1. Single-word Format (Simple)

For most use-cases, the list of tags below should suffice. Multiple tags can be specified as a comma-separated list.

TagDescription
allReturn a list of all PoIs
airportList of airports
restaurantList of restaurants
bankList of banks
atmList of ATMs
hotelList of hotels
pubList of pubs
bus_stationList of bus stations
railway_stationList of railway stations
cinemaList of cinema theatres
hospitalList of hospitals
collegeList of colleges
schoolList of schools
pharmacyList of pharmacies
supermarketList of supermarket
fuelList of fuel stations
gymList of gyms
place_of_worshipList of places of worship
toiletList of toilets
parkList of parks
stadiumList of stadiums
parkingList of parking
cardealerList of car dealers

2. Key Value Format (Advanced)

For advanced use-cases that need additional tags not present in the table above, we also support tags based on OpenStreetMap''s (OSM) exhaustive list of tags. These tags are represented as key-value pairs of class and type values. Multiple class and type values can be specified as a comma-separated list.

Examples:

  • To return a list of all PoIs: tag=all
  • To return records with amenity class (e.g., restaurants, hospitals, banks): tag=amenity:*
  • To return records with the amenity class and school as type (i.e., a list of schools): tag=amenity:school
  • To return all records except those with amenity as class: tag=all,!amenity:*
  • To return all records in the amenity class except gym: tag=amenity:*,!amenity:gym
  • To return all records except elements with amenity as class and gym as type: tag=!amenity:gym
  • To return a list of airports, hotels, and parking spaces nearby: tag=aeroway:aerodrome,tourism:hotel,amenity:parking
integer
1 to 30000
Defaults to 100

Radius (in meters) from the given latitude and longitude to search for results in. Accepted value: 1 to 30000. Defaults to 100.

integer
1 to 50

Limit the number of returned results. Accepted value: 1 to 50. Defaults to 10.

Responses

Language
Credentials
Query
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json